%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SoftBart
%global packver   1.0.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.2
Release:          1%{?dist}%{?buildtag}
Summary:          Implements the SoftBart Algorithm

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-glmnet >= 4.0.0
BuildRequires:    R-CRAN-scales >= 1.1.1
BuildRequires:    R-CRAN-Rcpp >= 0.12.9
BuildRequires:    R-methods 
BuildRequires:    R-CRAN-caret 
BuildRequires:    R-CRAN-truncnorm 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-MASS 
BuildRequires:    R-CRAN-RcppArmadillo 
Requires:         R-CRAN-glmnet >= 4.0.0
Requires:         R-CRAN-scales >= 1.1.1
Requires:         R-CRAN-Rcpp >= 0.12.9
Requires:         R-methods 
Requires:         R-CRAN-caret 
Requires:         R-CRAN-truncnorm 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-MASS 

%description
Implements the SoftBart model of described by Linero and Yang (2018)
<doi:10.1111/rssb.12293>, with the optional use of a sparsity-inducing
prior to allow for variable selection. For usability, the package
maintains the same style as the 'BayesTree' package.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
